cgGetNamedEffectAnnotation(3)

NAME
cgGetNamedEffectAnnotation - get an effect annotation by name

SYNOPSIS
  #include <Cg/cg.h>
  CGannotation cgGetNamedEffectAnnotation( CGeffect effect,
                                           const char * name );

PARAMETERS

effect
    The effect from which to retrieve the annotation.

name
    The name of the annotation to retrieve.

RETURN VALUES
Returns the named annotation.

Returns NULL if the effect has no annotation corresponding to name.

DESCRIPTION
The annotations associated with an effect can be retrieved directly by name using cgGetNamedEffectAnnotation. The names of a effect's annotations can be discovered by iterating through the annotations (see cgGetFirstEffectAnnotation and cgGetNextAnnotation), calling cgGetAnnotationName for each one in turn.

EXAMPLES
  /* fetch annotation "Apple" from CGeffect effect */
  CGannotation ann = cgGetNamedEffectAnnotation( effect, "Apple" );

ERRORS
CG_INVALID_EFFECT_HANDLE_ERROR is generated if effect is not a valid effect.

CG_INVALID_POINTER_ERROR is generated if name is NULL.

HISTORY
cgGetNamedEffectAnnotation was introduced in Cg 1.5.

SEE ALSO
cgGetFirstEffectAnnotation, cgGetNextAnnotation, cgGetAnnotationName